# Form implementation generated from reading ui file '.\ui\logpas.ui'
#
# Created by: PyQt6 UI code generator 6.3.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.
import qdarktheme
from PyQt6 import QtCore, QtGui, QtWidgets
import logpass_info


class Ui_MainWindow(object):

    def sec_window(self):
        name = self.textEdit.text()
        password = self.textEdit_2.text()
        if (name=='nidxegg') and (password=='486255a'):
            self.window = QtWidgets.QMainWindow()
            self.ui = logpass_info.Ui_MainWindow_info()
            self.ui.setupUi(self.window)
            self.window.show()
        else:
            exit()

    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(306, 190)
        MainWindow.setMinimumSize(QtCore.QSize(306, 190))
        MainWindow.setMaximumSize(QtCore.QSize(306, 171))
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.textEdit =QtWidgets.QLineEdit(self.centralwidget)
        self.textEdit.setGeometry(QtCore.QRect(70, 20, 171, 31))
        self.textEdit.setObjectName("textEdit")
        self.pushButton = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton.setGeometry(QtCore.QRect(100, 120, 111, 31))
        self.pushButton.setObjectName("pushButton")
        self.pushButton.clicked.connect(self.sec_window)
        self.textEdit_2 = QtWidgets.QLineEdit(self.centralwidget)
        self.textEdit_2.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.textEdit_2.setGeometry(QtCore.QRect(70, 70, 171, 31))
        self.textEdit_2.setObjectName("textEdit_2")
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "ЛогПас"))
        self.pushButton.setText(_translate("MainWindow", "Ввод"))

if __name__ == "__main__":
    import sys

    app = QtWidgets.QApplication(sys.argv)
    second_window = QtWidgets.QMainWindow()
    app.setStyleSheet(qdarktheme.load_stylesheet())
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec())
